import _slicedToArray from "@babel/runtime/helpers/esm/slicedToArray";
import { useState } from "react";
import useKey from "use-key-hook";

var useShiftKey = function useShiftKey() {
  var _useState = useState(false),
      _useState2 = _slicedToArray(_useState, 2),
      isShiftDown = _useState2[0],
      setIsShiftDown = _useState2[1];

  useKey(function (key, event) {
    switch (key) {
      case 16:
        // SHIFT
        setIsShiftDown(true);
        break;

      default:
        break;
    }
  }, {
    detectKeys: [16],
    keyevent: "keydown"
  });
  useKey(function (key, event) {
    switch (key) {
      case 16:
        // SHIFT
        setIsShiftDown(false);
        break;

      default:
        break;
    }
  }, {
    detectKeys: [16],
    keyevent: "keyup"
  });
  return {
    isShiftDown: isShiftDown
  };
};

export default useShiftKey;